본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Ad creation: Ad account

사이드 메뉴

Search

This document describes how to use the Ad account APIs.

There are two types of ad account — Business ad account and Personal ad account. An advertiser or an agency running ads for the advertiser can create a Business ad account.

MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/pagesBusiness token

Returns a list of ad accounts.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
NameTypeDescriptionRequired
configArrayPass the values of ON, OFF, andDEL in a comma-separate string.
(Default: ON, OFF)
X
pageIntegerPage number(Default: 0)
Increase the value by 1 to retrieve each next page.
X
sizeIntegerNumber of ad accounts in a page(Default: 10)X
NameTypeDescription
contentAdAccount[]List of ad account information.
numberIntegerPage number, same as page
sizeIntegerNumber of ad accounts in a page
totalElementsIntegerTotal count
totalPagesIntegerNumber of the pages
pageIntegerPage number
NameTypeDescription
idLongAd account's ID.
nameStringAd account's name.
memberTypeMemberTypeMember type.
Either MASTER (Master role) or MEMBER(Member role).
configConfigAd account's status.
curl -v -G GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/pages" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-d "config=ON,OFF" \
-d "page=0" \
-d "size=2"
{
"content": [
{
"id": 111,
"name": "TestAccount1",
"memberType": "MASTER",
"config": "ON"
},
{
"id": 222,
"name": "TestAccount2",
"memberType": "MASTER",
"config": "ON"
}
],
"number": 0,
"size": 2,
"totalElements": 92,
"totalPages": 46,
"page": 0
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/${AD_ACCOUNT_ID}Business token

Returns detailed information about a specific ad account.

There are two types of ad accounts: business and personal ad accounts.

Ad accountBusiness information
Business ad accountO
Personal ad accountX

The delivery status of an ad account is determined by the combination of ad account status (config), whether it is suspended by an administrator (isAdminStop), and whether its balance is insufficient (isOutOfBalance).

Current delivery statusAd account statusAdministrator suspensionInsufficient balance
ActiveONfalsefalse
Insufficient balanceONfalsetrue
Suspended by administratorONtruefalse
Suspended by administrator, insufficient balanceONtruetrue
User OFFOFFfalsefalse
User OFF, insufficient balanceOFFfalsetrue
User OFF, suspended by administratorOFFtruefalse
User OFF, insufficient balance, suspended by administratorOFFtruetrue
DeletedDEL--

This API limits calls to once per second per user account and app ID.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
AD_ACCOUNT_IDLongAd account's ID.O
NameTypeDescription
idLongAd account's ID.
nameStringAd account's name.
advertiserCompanyAdvertiser's business information.
typeStringAd account's type.
BUSINESS (Business ad account).
configStringAd account's status.
One of ON, OFF, or DEL (Deleted).
isAdminStopBooleanWhether or not the ad account's administrator is suspended.
isOutOfBalanceBooleanWhether or not the account's balance is insufficient.
statusDescriptionStringStatus of the ad account.
bizWalletIdLongBusiness wallet ID linked to the ad account.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/${AD_ACCOUNT_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"id": 1111,
"name": "kakao_moment_ad_account",
"advertiser": {
"businessRegistrationNumber": "120-81-47521",
"name": "kakao_corporation"
},
"type": "BUSINESS",
"config": "ON",
"isAdminStop": false,
"isOutOfBalance": false,
"statusDescription": "운영중",
"bizWalletId": 1111
}
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 21006,
"detailMsg": "존재하지 않는 광고계정입니다."
}
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/balanceBusiness token

Returns the real-time balance of an ad account.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescription
idLongAd account's ID.
bizWalletIdLongBusiness wallet ID linked to the ad account.
cashLongCash.
freeCashLongFree cash.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/balance" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
{
"id": 1111,
"bizWalletId": 1111,
"cash": 5000000,
"freeCash": 100000
}
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 21006,
"detailMsg": "존재하지 않는 광고계정입니다."
}
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/bizRightBusiness token

Returns an ad account's business right.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescription
idLongAd account's ID.
bizRightCompanyNameStringName of the company that has a business right.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/bizRight" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "AdAccountId: ${AD_ACCOUNT_ID}"
{
"id": 1111,
"bizRightCompanyName": "kakao_corporation"
}
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 21006,
"detailMsg": "존재하지 않는 광고계정입니다."
}
}
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/adAccounts/${AD_ACCOUNT_ID}/bizRightBusiness token

Approves business rights for an ad account.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Authentication method using Business token
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account ID
O
NameTypeDescriptionRequired
AD_ACCOUNT_IDLongAd account IDO
NameTypeDescription
idLongAd account number
bizRightCompanyNameStringCompany name holding the business rights
curl -X POST "https://apis.moment.kakao.com/openapi/v4/adAccounts/${AD_ACCOUNT_ID}/bizRight" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "AdAccountId: ${AD_ACCOUNT_ID}"
{
"id": 1111,
"bizRightCompanyName": "Kakao Corp."
}
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/channel/profilesBusiness token

Returns a list of the user's Kakao Talk Channel profiles.

You can use the value of id passed in the response when you create a campaign as:

  • The object of the campaign with the Conversion goal
  • The object of the campaign with Kakao Talk Channel type
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescription
-ChannelProfile[]List of Kakao Talk Channel profile information.
NameTypeDescription
idStringKakao Talk Channel's profile ID.
nameStringKakao Talk Channel's name.
searchIdStringID (UUID) used for search on Kakao Talk.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/channel/profiles" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
[
{
"id": "_ZQxd",
"name": "kakao_channel",
"searchId": "kakao_channel"
},
{
"id": "_Xxju",
"name": "kakao_channel2",
"searchId": "kakao_channel2"
}
]
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adAccounts/trackersBusiness token

Returns a list of authorized Pixel & SDKs by type and goal.

You can use the value of id passed in the response when you create a campaign with 'Display X Conversion' or 'Kakao Bizboard X Conversion. If the campaign is 'Display X Visit' or 'Kakao Bizboard X Visit', the id is used for conversion tracking.

What is Pixel & SDK?

When you install a Pixel & SDK on your website or app, Pixel & SDK collects event logs as you define. Collecting event logs is regardless of the inflows through ad click.

You can use the log data for the following purposes:

  • Used for a report by separating the inflow through ad clicks.
  • Used for re-targeting per event.
  • Used as data to help increase advertising efficiency. (Example: ctr, cvr)
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
campaignTypeStringValue used to set a campaign type.
Use one of CampaignType.
X
goalStringValue used to set a goal.
Use one of Goal.
X
NameTypeDescription
idStringPixel & SDK's ID.
nameStringPixel & SDK's name.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adAccounts/trackers?campaignType=TALK_BIZ_BOARD&goal=VISITING" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
[
{
"id": "1",
"name": "tracker1"
},
{
"id": "2",
"name": "tracker2"
}
]
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/adAccountsBusiness token

Creates a new ad account of an advertiser or agency.

Only a business account can use this API.

This API limits the number of calls you can make to every second per user account.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
NameTypeDescriptionRequired
nameStringName of the ad account to be created.O
advertiserCompanyIdLongAdvertiser's business registration number.
ID retrieved through the View business information API.
O*
* In the case of an advertiser, advertiserCompanyId is not required.
NameTypeDescription
idLongAd account's ID.
nameStringAd account's name.
advertiserCompanyAdvertiser's business information.
typeStringAd account's type.
Either BUSINESS (Business ad account) or INDIVIDUAL (Personal ad account).
configStringAd account's status.
One of ON, OFF, or DEL (Deleted).
isAdminStopBooleanWhether or not the account's administrator is suspended.
isOutOfBalanceBooleanWhether or not the account's balance is insufficient.
statusDescriptionStringStatus of the ad account.
curl -X POST "https://apis.moment.kakao.com/openapi/v4/adAccounts" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"name":"test_ad_account",
"advertiserCompanyId": 34
}'
{
"id": 123,
"name": "test_ad_account",
"advertiser": {
"businessRegistrationNumber": "678-67-67890",
"name": "business_of_advertiser"
},
"type": "BUSINESS",
"config": "ON",
"isAdminStop": false,
"isOutOfBalance": true,
"statusDescription": "잔액부족"
}
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 75105,
"detailMsg": "ownerCompanyId 정보를 전달하지 않아야 합니다."
}
}
MethodURLAuthorization
PUThttps://apis.moment.kakao.com/openapi/v4/adAccounts/onOffBusiness token

Enables you to change the status of an ad account to ON or OFF.

  • The ad account status can be changed only when it is ON or OFF.
  • The status cannot be changed while the ad account is being deleted.
  • When the ad account is changed to OFF, the delivery status of its Direct Message Ad creatives changes from ready to delivery ended, or from delivering to delivery paused.

This API limits the number of calls you can make to every second per user account.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
configStringAd account's status.
Either ON or OFF.
O
curl -X PUT "https://apis.moment.kakao.com/openapi/v4/adAccounts/onOff" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "AdAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json" \
-d '{
"config":"ON"
}'
HTTP/1.1 200 OK
Content-Length: 0
Content-Type: application/json;charset=UTF-8
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 21400,
"detailMsg": "광고계정이 삭제처리중입니다."
}
}

Was this helpful?

    Kakao Moment > Ad creation: Ad account - Kakao Developers | Docs